Page MenuHomePhabricator

Deploy mention notifications on the test cluster
Closed, ResolvedPublic2 Estimated Story Points

Description

Once both success and mention failure notifications are merged, please deploy it to the test cluster for thorough testing

Background:
This task is based on a wish that received 21 points (#9) in the German Community Wishlist (T139962). Originally, the wish was to receive an information about the sent messages. To help people use mentions in a way that they are sent, we have also included notifications about mention failures, which add the reasons for the failure as well.

Event Timeline

Lea_WMDE created this task.Aug 3 2016, 3:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2016, 3:49 PM
Addshore claimed this task.Aug 4 2016, 10:04 AM
Addshore moved this task from Incoming to Mention Notifications on the archived--TCB-Team board.
Addshore moved this task from Proposed to Doing on the TCB-Team-Sprint-2016-08-02 board.
Addshore added a project: User-Addshore.
Addshore set the point value for this task to 2.
Addshore moved this task from Unsorted 💣 to Back Burner 🏛️ on the User-Addshore board.

Change 302898 had a related patch set uploaded (by Addshore):
wmgEchoMentionStatusNotifications true for test/test2wiki

https://gerrit.wikimedia.org/r/302898

Addshore moved this task from Doing to Review on the TCB-Team-Sprint-2016-08-02 board.

Change 302898 merged by jenkins-bot:
wmgEchoMentionStatusNotifications true for test/test2wiki

https://gerrit.wikimedia.org/r/302898

Mentioned in SAL [2016-08-17T15:40:51Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:302898|wmgEchoMentionStatusNotifications true for test/test2wiki (T141995)]] (duration: 00m 50s)

While testing this on test at some point I had problems to even trigger notifications. The settings are there though and generally it works but there might be cases we do not cover/understand yet.

I will investigate a bit more.

Addshore removed Addshore as the assignee of this task.Aug 21 2016, 11:10 AM
Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.
Addshore added a subscriber: Addshore.
WMDE-leszek triaged this task as High priority.Aug 25 2016, 1:11 PM
Tobi_WMDE_SW closed this task as Resolved.Aug 29 2016, 12:48 PM
Tobi_WMDE_SW claimed this task.